%global real_name MIME-tools
%global momorel 2

%define thread_arch -thread-multi

Summary: Perl modules for parsing (and creating!) MIME entities
Name: perl-MIME-tools
Version: 5.427
Release: %{momorel}m%{?dist}
License: GPL or Artistic
Group: Development/Languages
URL: http://www.cpan.org/modules/by-module/MIME/
Source0: http://www.cpan.org/modules/by-module/MIME/%{real_name}-%{version}.tar.gz
NoSource: 0
BuildRequires:  perl >= 5.8.0
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-IO-stringy >= 2.11
BuildRequires:  perl-MailTools >= 2.02
Requires:       perl-IO-stringy >= 2.11
Requires:       perl-MailTools >= 2.02
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
MIME-tools - modules for parsing (and creating!) MIME entities Modules in this
toolkit : Abstract message holder (file, scalar, etc.), OO interface for
decoding MIME messages, an extracted and decoded MIME entity, Mail::Field
subclasses for parsing fields, a parsed MIME header (Mail::Header subclass),
parser and tool for building your own MIME parser, and utilities.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALLING README README-OR-DIE README.system examples/
%{_mandir}/*/*
%{perl_vendorlib}/MIME/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.427-2m)
- rebuild against rpm-4.6

* Tue Jul  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.427-1m)
- update to 5.427

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.426-2m)
- rebuild against gcc43

* Wed Mar 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.426-1m)
- update to 5.426
- modify BuildRequires and Requires

* Sun Nov 18 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.425-1m)
- update to 5.425

* Thu Nov  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.424-1m)
- update to 5.424

* Sat Oct 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.423-1m)
- update to 5.423

* Fri Sep 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.421-1m)
- update to 5.421
- do not use %%NoSource macro

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (5.420-4m)
- use vendor

* Wed Jun 14 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (5.420-3m)
- re-modify %%files

* Sun Jun 11 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (5.420-2m)
- modify %%files

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (5.420-1m)
- update to 5.420

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.419-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (5.419-1m)
- update to 5.419

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.417-1m)
- version up to 5.417
- build against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.411a-9m)
- rebuild against perl-5.8.5

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (5.411a-8m)
- revised spec for rpm 4.2.

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.411a-7m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (5.411a-6m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (5.411a-5m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.411a-4m)
- kill %%define name

* Fri Nov 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (5.411a-3m)
- rebuild against perl-5.8.0

* Wed Mar 13 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (5.411a-2k)
- update to 5.411a
- cleanup spec

* Wed Jan 16 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (5.411-2k)
- Kondarize.

* Tue Sep 11 2001 Ramiro Morales <rmrpms@usa.net>
- Move to Applications/CPAN group

* Sun Aug 26 2001 Ramiro Morales <rmrpms@usa.net>
- Build on RHL 6.2
- Include more docs + examples

* Tue Jul 03 2001 Francois Pons <fpons@mandrakesoft.com> 5.411-1mdk
- 5.411.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.410-2mdk
- Rebuild for the latest perl.

* Tue Dec 05 2000 Francois Pons <fpons@mandrakesoft.com> 5.410-1mdk
- added missing Requires and BuildRequires.
- 5.410.

* Thu Oct 12 2000 Francois Pons <fpons@mandrakesoft.com> 5.316-1mdk
- 5.316.

* Tue Aug 29 2000 Francois Pons <fpons@mandrakesoft.com> 5.311-1mdk
- 5.311.

* Thu Aug 03 2000 Francois Pons <fpons@mandrakesoft.com> 5.306-2mdk
- Oops, added missing clean.

* Thu Aug 03 2000 Francois Pons <fpons@mandrakesoft.com> 5.306-1mdk
- macroszifications.
- added doc.
- noarch.
- 5.306.

* Tue Jul 18 2000 Francois Pons <fpons@mandrakesoft.com> 5.304-1mdk
- 5.304.

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 4.124-2mdk
- fixed group
- rebuild with new perl
- fixed location

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>

- first version of rpm.
